WAKT Time Now
WAKT is the abbreviation of Wake Island Time. Time zone offset of WAKT is UTC+12. Wake Island Time is 12 hours ahead from the UTC universal time. WAKT current date is 17th Saturday October 2026. Current time in WAKT (WAKT).
WAKT Time
06:25:09
17 October 2026 Saturday
WAKT is the abbreviation of the time standard known as Wake Island Time. This is the standard time at Wake Island, a small island in the Pacific Ocean which is the US territory. Wake Island Time is 12 hours ahead of the UTC universal time.
What time is it in Wake Island Time now? It is 06:25:09 right now.
Wake Island Time Date and Time Now in Various Formats
| Date Time Format | WAKT Date Time Now |
|---|---|
| UTC | 2026-10-17T06:25:09Z |
| ISO-8601 | 2026-10-17T06:25:09+0000 |
| RFC 2822 | Sat, 17 Oct 2026 06:25:09 +0000 |
| RFC 850 | Saturday, 17-Oct-26 06:25:09 UTC |
| RFC 1036 | Sat, 17 Oct 26 06:25:09 +0000 |
| RFC 1123 | Sat, 17 Oct 2026 06:25:09 +0000 |
| RFC 822 | Sat, 17 Oct 26 06:25:09 +0000 |
| RFC 3339 | 2026-10-17T06:25:09+00:00 |
| ATOM | 2026-10-17T06:25:09+00:00 |
| COOKIE | Saturday, 17-Oct-2026 06:25:09 UTC |
| RSS | Sat, 17 Oct 2026 06:25:09 +0000 |
| W3C | 2026-10-17T06:25:09+00:00 |
| Unix Epoch | 1792218309 |
| YYYY-DD-MM HH:MM:SS | 2026-17-10 06:25:09 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-17-10 06:25:09 AM |
| DD-MM-YYYY HH:MM:SS | 17-10-2026 06:25:09 |
| MM-DD-YYYY HH:MM:SS | 10-17-2026 06:25:09 |